---
sidebar_label: Page.deleteCookie
---

# Page.deleteCookie() method

#### Signature:

```typescript
class Page {
  deleteCookie(
    ...cookies: Protocol.Network.DeleteCookiesRequest[]
  ): Promise<void>;
}
```

## Parameters

| Parameter | Type                                      | Description |
| --------- | ----------------------------------------- | ----------- |
| cookies   | Protocol.Network.DeleteCookiesRequest\[\] |             |

**Returns:**

Promise&lt;void&gt;
